package dev.crucifixbeta.api.events.impl;

import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;
import net.minecraft.client.gui.DrawContext;

@Environment(EnvType.CLIENT)
public class Render2DEvent {
   private static final Render2DEvent INSTANCE = new Render2DEvent();
   public DrawContext drawContext;
   public float tickDelta;

   public static Render2DEvent get(DrawContext drawContext, float tickDelta) {
      INSTANCE.drawContext = drawContext;
      INSTANCE.tickDelta = tickDelta;
      return INSTANCE;
   }
}
